Skip to main content
`Ctrl`+`K`

# PCShellSetDestroy

Sets routine to use to destroy the user-provided application context that was provided with `PCShellSetContext()`

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCShellSetDestroy(PC pc, PetscErrorCode (*destroy)(PC pc))

Logically Collective

## Input Parameters

- pc - the preconditioner context

- destroy - the application-provided destroy routine

## Calling sequence of `destroy`

- pc - the preconditioner

## See Also

KSP: Linear System Solvers, `PCSHELL`, `PCShellSetApply()`, `PCShellSetContext()`, `PCShellGetContext()`

## Level

intermediate

## Location

src/ksp/pc/impls/shell/shellpc.c

## Examples

src/ksp/ksp/tutorials/ex60.c
src/ksp/ksp/tutorials/ex15.c
src/ksp/ksp/tutorials/ex15f.F90

## Implementations

PCShellSetDestroy_Shell(PC pc, PetscErrorCode (*destroy)() in src/ksp/pc/impls/shell/shellpc.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages